%{?nodejs_find_provides_and_requires}

# These tests are interactive so cannot be run in mock.
# Also, I'm not sure why they are failing outside of mock too.
%global enable_tests 0

Name:       nodejs-prompt
Version:    0.2.12
Release:    1%{?dist}
Summary:    A beautiful command-line prompt for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/flatiron/prompt
Source0:    http://registry.npmjs.org/prompt/-/prompt-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(read)
BuildRequires:  npm(revalidator)
BuildRequires:  npm(utile)
BuildRequires:  npm(vows)
BuildRequires:  npm(winston)
%endif

%description
A beautiful command-line prompt for Node.js. Features include:
 - prompting for user input
 - validation and defaults
 - hiding of passwords


%prep
%setup -q -n package
%nodejs_fixdep winston '~0.6'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/prompt
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/prompt

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/vows/bin/vows --spec
%endif


%files
%doc CHANGELOG.md LICENSE README.md docs/ examples/
%{nodejs_sitelib}/prompt


%changelog
* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.12-1
- update to upstream release 0.2.12

* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.11-1
- update to upstream release 0.2.11

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.9-2
- make some of the versioned dependencies less specific

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.9-1
- initial package
